﻿Version=6.90
NumberOfForms=1
Form1=frmMenu
NumberOfObjects=0
Sub designer
addform(frmMenu,"Menu","",211,211,211)@
addbutton(frmmenu,btnOk,380,450,95,70,"OK",255,0,0,35,35,35,True,False,24)@
addbutton(frmmenu,btnMore,245,450,125,70,"+",30,39,155,255,255,255,True,False,34)@
addbutton(frmmenu,btnLess,110,450,125,70,"-",182,186,241,0,0,0,True,False,40)@
addbutton(frmmenu,btnMult,5,450,95,70,"x5",255,255,0,35,35,35,True,False,24)@
addlistbox(frmmenu,lbxMenu,0,0,480,588,"",255,255,200,35,35,35,True,True,0,9)@
End Sub
@EndOfDesignText@
Sub Globals
 'Declare the global variables here.
  menu_filled = False
  new_value = 0
  lbx_position = 0
  mult = 1
End Sub

Public Sub MyMenu
  frmMenu.Show
  MenuDisplay
  mult = 1
End Sub

Sub MenuDisplay
  If Not(menu_filled) Then
    lbxMenu.Clear
    lbxMenu.FontSize = 15
    lbxMenu.Add(Main.msg(11))
    If Main.opc(1)="1" Then opc="" Else opc="NO "
    lbxMenu.Add(opc & Main.msg(14))
    If Main.opc(2)="1" Then opc="" Else opc="NO "
    lbxMenu.Add(opc & Main.msg_move)
    If Main.opc(3)="1" Then opc="" Else opc="NO "
    lbxMenu.Add(opc & Main.msg(18))
    lbxMenu.Add(Main.msg(20) & " " & Main.opc(4))
    lbxMenu.Add(Main.msg(21) & " " & Main.opc(5))
    lbxMenu.Add(Main.msg(22) & " " & Main.opc(6))
    lbxMenu.Add(Main.msg(23) & " " & Main.opc(7))
    lbxMenu.Add(Main.msg(25))  'save
    lbxMenu.Add(Main.msg(12))  'back
    lbxMenu.Add(Main.msg(28))  'about
  End If
  lbxMenu.Refresh
  menu_filled = True
End Sub

Sub lbxMenu_SelectionChanged (Index, Value)
  If menu_filled Then
    MyMenuChoice(Index, Value)
  Else
    RecentChoice(Index)
  End If
End Sub

Sub MyMenuChoice(Index, Value)
  Select Index
    Case 0 'Main.msg(11)
      MenuRecent
    Case 1
      If Main.opc(1)="0" Then Main.opc(1)="1" Else Main.opc(1)="0"
      menu_filled = False
      MenuDisplay
    Case 2 'Main.msg(15)
      If Main.opc(2)="0" Then Main.opc(2)="1" Else Main.opc(2)="0"
      menu_filled = False
      MenuDisplay
    Case 3 'auto play next
      If Main.opc(3)="0" Then Main.opc(3)="1" Else Main.opc(3)="0"
      menu_filled = False
      MenuDisplay
    Case 4
      lbx_position = 4
      Get_Value
    Case 5
      lbx_position = 5
      Get_Value
    Case 6
      lbx_position = 6
      Get_Value
    Case 7
      lbx_position = 7
      Get_Value
    Case 8
      Main.Save_Options
    Case 9
	  Main.frmVpp.Show
	Case 10
      WinAbout
    Case Else
      Main.frmVpp.Show
  End Select
End Sub

Sub MenuRecent
  Main.Purge_Tracks
  If Main.recent(1) = "" Then
    Msgbox(Main.msg(13))
    Return
  End If
  menu_filled = False
  lbxMenu.Clear
  lbxMenu.FontSize = 12
  lbxMenu.Add("Cancel")
  For j=1 To 9
    Main.recent_aux() = StrSplit(Main.recent(j),"|")
    lbxMenu.Add(FileName(Main.recent_aux(0)))
  Next
  lbxMenu.Refresh
End Sub

Sub RecentChoice(Index)
  If Index=0 Then
    menu_filled = False
    MenuDisplay
    Return
  End If
  elect = Main.recent(Index)
  ArrayCopy(Main.recent(),0,Index,Main.recent(),1)
  Main.recent(0) = elect
  Main.Play_Track(True)
  Main.frmVpp.Show
End Sub

Sub Get_Value
  lbxMenu.Enabled = False
  btnLess.Visible = True
  btnMore.Visible = True
  btnOk.Visible = True
  btnMult.Visible = True
  MultDisplay
End Sub

Sub btnLess_Click
  new_value = Main.opc(lbx_position) - mult
  If new_value < 0 Then new_value = 0
  Main.opc(lbx_position) = new_value
  lbxMenu.SelectedIndex = lbx_position
  menu_filled = False
  MenuDisplay
  lbxMenu.SelectedIndex = lbx_position
End Sub

Sub btnMore_Click
  new_value = Main.opc(lbx_position) + mult
  If new_value > 99 Then new_value = 99
  Main.opc(lbx_position) = new_value
  menu_filled = False
  MenuDisplay
  lbxMenu.SelectedIndex = lbx_position
End Sub

Sub btnMult_Click
  If mult=1 Then
    mult = 5
    btnMult.color = cRed
  Else
    mult = 1
    btnMult.color = cYellow
  End If
  MultDisplay
End Sub

Sub MultDisplay
  btnMult.Text = "x" & mult
  btnMult.Refresh
End Sub

Sub btnOk_Click
  btnLess.Visible = False
  btnMore.Visible = False
  btnMult.Visible = False
  btnOk.Visible = False
  lbxMenu.Enabled = True
  Main.Name_Buttons
End Sub

Sub WinAbout
  LL = CRLF & CRLF
  txt = CRLF & "  Voice Podcast Player" & LL & _
        "  Antonio Tovar" & LL & _
        "  http://go.to/vpplayer" & CRLF & _
        "  vpplayer@go.to" & CRLF & _
        "  antovar@gmail.com" & LL & _
        "  FMOD Sound System" & CRLF & _
        "  copyright ©" & CRLF & "  Firelight Technologies Pty Ltd."
  AddLabel(frmmenu,"lblAbout",0,0,frmmenu.Width,frmmenu.Height,txt)
  lblAbout.BringToFront
  AddButton(frmmenu,"btnAbout",10,frmmenu.Height-60,frmmenu.Width-20,50,"Exit")
  btnAbout.BringToFront
End Sub

Sub btnAbout_Click
  btnAbout.dispose
  lblAbout.dispose
End Sub
